careCycle
CampaignsTransfer configs

List transfer configs

List all transfer configs for the client

GET
/v2/campaigns/transfer-configs

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/campaigns/transfer-configs"
{
  "transferConfigs": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": null,
      "updatedAt": null,
      "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
      "name": "string",
      "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
      "type": "direct",
      "warmTransfer": true,
      "directPhoneNumber": "string",
      "dynamicOptions": {
        "pingUrl": "string",
        "method": "GET",
        "timeout": 0,
        "headers": {
          "property1": "string",
          "property2": "string"
        },
        "body": {
          "property1": null,
          "property2": null
        },
        "transferNumberField": "string",
        "transferNumber": "string",
        "successConditions": [
          {
            "field": "string",
            "operator": "equals",
            "value": "string"
          }
        ]
      },
      "sipUri": "string",
      "sipHeaders": "string",
      "warmSummaryPrompt": "string",
      "warmMode": "wait-for-operator",
      "softphoneFallbackType": "appointment_booking",
      "softphoneFallbackPhoneNumber": "string",
      "appointmentBookingEnabled": true,
      "transferWaitingMessages": [
        "string"
      ],
      "routingConfig": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "createdAt": null,
        "updatedAt": null,
        "name": "string",
        "description": "string",
        "routingType": "linear",
        "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
        "fallbackBehavior": "voicemail",
        "fallbackNumber": "string",
        "maxRingPerAgent": -2147483648,
        "maxWaitTime": -2147483648,
        "tryCustomerAgentFirst": true,
        "tryPreviousSoftphoneAgentFirst": true,
        "customerAgentPriority": -2147483648,
        "previousSoftphoneAgentPriority": -2147483648,
        "stateBasedRouting": true,
        "stateRoutingFallback": "fallback",
        "agents": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "createdAt": null,
            "updatedAt": null,
            "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
            "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
            "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
            "priority": -2147483648,
            "weight": -2147483648,
            "lastCallAt": null,
            "isActive": true,
            "skills": "string",
            "member": {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "createdAt": null,
              "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
              "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
              "role": "string",
              "filterData": "string",
              "user": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "name": "string",
                "email": "user@example.com"
              }
            }
          }
        ],
        "groups": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "createdAt": null,
            "updatedAt": null,
            "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
            "name": "string",
            "description": "string",
            "routingType": "linear",
            "priority": -2147483648,
            "isActive": true,
            "agents": [
              {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "createdAt": null,
                "updatedAt": null,
                "routingConfigId": "b6e138dd-eba1-4cd6-85c1-31882f4d70e7",
                "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
                "groupId": "eb54e96e-21b8-4f54-9cd4-80fccbd06f55",
                "priority": -2147483648,
                "weight": -2147483648,
                "lastCallAt": null,
                "isActive": true,
                "skills": "string",
                "member": {
                  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                  "createdAt": null,
                  "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
                  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
                  "role": "string",
                  "filterData": "string",
                  "user": {
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "name": "string",
                    "email": "user@example.com"
                  }
                }
              }
            ]
          }
        ]
      }
    }
  ],
  "total": 0
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}